import {
    post,
    get
} from '@/axios/http.js'


// 新建项目-获取客户单位列表
// /mobile/api/project/getCustomerList
export function projectGetCustomerList(params) {
    return post(process.env.VUE_APP_BASE_URL + "worktile/mobile/api/project/getCustomerList", params)
}


// 项目编辑 - 查询负责人抄送人
// /mobile/api/project/selectLeaderUsers
export function projectSelectLeaderUsers(params) {
    return post(process.env.VUE_APP_BASE_URL + "worktile/mobile/api/project/selectLeaderUsers", params)
}

// 新建项目-查询负责人所属区域
// /mobile/api/project/queryArea
export function projectQueryArea(params) {
    return post(process.env.VUE_APP_BASE_URL + "worktile/mobile/api/project/queryArea", params)
}

// 新建项目 - 保存信息
// /mobile/api/project/add
export function projectAdd(params) {
    return post(process.env.VUE_APP_BASE_URL + "worktile/mobile/api/project/add", params)
}

// 新建项目 - 修改信息
// /mobile/api/project/update
export function projectUpdate(params) {
    return post(process.env.VUE_APP_BASE_URL + "worktile/mobile/api/project/update", params)
}

// 项目编辑-通过id查询项目详情
// /mobile/api/project/findById
export function projectFindById(params) {
    return post(process.env.VUE_APP_BASE_URL + "worktile/mobile/api/project/findById", params)
}